Bug 1434175 - [RFE] automate setting up online repositories for ceph deployments on debian nodes
Summary: [RFE] automate setting up online repositories for ceph deployments on debian ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 3.0
Assignee: seb
QA Contact: Madhavi Kasturi
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-03-20 21:41 UTC by Andrew Schoen
Modified: 2017-12-05 23:32 UTC (History)
15 users (show)

Fixed In Version: RHEL: ceph-ansible-3.0.0-0.1.rc1.el7cp Ubuntu: ceph-ansible_3.0.0~rc3-2redhat1
Doc Type: Enhancement
Doc Text:
.Ansible now automatically sets online repositories for Ubuntu This update automates the process of setting up online repositories for Red{nbsp}Hat Ceph Storage on Ubuntu nodes. To set up the repositories, set the following parameters in the `all.yml` file located in the `/usr/share/ceph-ansible/group_vars/` directory: ---- ceph_origin: repository ceph_repository: rhcs ceph_repository_type: cdn ceph_rhcs_cdn_debian_repo: https://customername:customerpasswd@rhcs.download.redhat.com ---- Specify your customer name and password. For details, see the link:https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/installation_guide_for_ubuntu/[Installation Guide for Ubuntu].
Clone Of:
Environment:
Last Closed: 2017-12-05 23:32:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 1734 None None None 2017-08-02 13:16:50 UTC
Red Hat Bugzilla 1436782 None None None Never
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Internal Links: 1436782

Description Andrew Schoen 2017-03-20 21:41:26 UTC
We want to automate the process of setting up online repositories for Red Hat Ceph Storage on ubuntu nodes. The manual steps are currently described here: https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/2/html/installation_guide_for_ubuntu/prerequisites#online_repositories

The initial idea is to leverage the existing ``ceph_rhcs_cdn_install`` config option and build support for that on debian based systems. An additional idea is to define the baseurl for the repo as a config option as well so that we can default it to https://customername:customerpasswd@rhcs.download.redhat.com while allowing for the user to provide a custom mirror if they're hosting these repos at another location.

Comment 4 seb 2017-07-06 13:32:09 UTC
For QE, to do:

* validate that the repo is enabled and added on Ubuntu
* validate that ceph packages are properly installed afterward

Comment 6 seb 2017-08-02 13:16:50 UTC
PR upstream: https://github.com/ceph/ceph-ansible/pull/1734

Comment 10 leseb 2017-10-16 12:33:50 UTC
Edit all.yml and change ceph_rhcs_cdn_debian_repo and possibly ceph_rhcs_cdn_debian_repo_version if your QE URL is different.

Thanks!

Comment 12 leseb 2017-10-23 15:28:37 UTC
Bara, the doc should be:

ceph_origin: repository
ceph_repository: rhcs
ceph_repository_type: cdn


You can remove:

ceph_rhcs
ceph_rhcs_cdn_install: true

Thanks

Comment 15 leseb 2017-10-26 12:27:37 UTC
I think there is an issue with your repository, see:

"install 'ceph-osd'' failed: E: There were unauthenticated packages and -y was used without --allow-unauthenticated\n"

It does **not** look like a ceph-ansible bug to me.
Please investigate and let me know.

Thanks.

Comment 18 leseb 2017-10-27 07:41:19 UTC
Still looks like a repo issue to me and not a ceph-ansible bug, can we move forward with this? Thanks.

Comment 20 leseb 2017-10-27 13:31:15 UTC
please move this VERIFIED.

Comment 21 Madhavi Kasturi 2017-10-27 14:28:45 UTC
Moving this bug to verified.

Comment 22 Ken Dreyer (Red Hat) 2017-10-27 18:32:09 UTC
Please don't move bugs to ON_QA without attaching to an advisory.

I'm closing this one as NOTABUG since it is not technically a bug in ceph-ansible.

Comment 23 Ken Dreyer (Red Hat) 2017-10-27 18:33:37 UTC
Whoops, this was my bad!

This was a real bug, and the issues in comment 14 onwards had to do with the test process.

Comment 24 Madhavi Kasturi 2017-10-30 07:24:32 UTC
Moving this bug to verified.

Comment 27 errata-xmlrpc 2017-12-05 23:32:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.